Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Interface TargetAvailabilityStatus

public interface TargetAvailabilityStatus
extends java.io.Serializable

This is a standard interface that encapsultes the availability/deployment status of a component on a target. The targets could be a server,cluster or a virtual host.

Author:
  Copyright (c) 1999-2004 by BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `AVAILABILITY_STATUS_AVAILABLE`
`static int` | `AVAILABILITY_STATUS_DISTRIBUTED`
`static int` | `AVAILABILITY_STATUS_NOTAVAILABLE`
`static int` | `AVAILABILITY_STATUS_NOTDISTRIBUTED`
`static int` | `DEPLOYMENT_STATUS_AVAILABLE`
`static int` | `DEPLOYMENT_STATUS_NOTAVAILABLE`
`static int` | `DEPLOYMENT_STATUS_PARTIALLYAVAILABLE`
`static int` | `TARGET_TYPE_CLUSTER`
`static int` | `TARGET_TYPE_SERVER`
`static int` | `TARGET_TYPE_VIRTUALHOST`

Method Summary
`int` | `getAvailabilityStatus()` This returns the availability status of the component on the server.
`java.util.Set` | `getClustersAvailabilityStatus()` Set of TargetAvailabilityStatus objects encapsulating the availability status of the underlying clusters of the virtual host.
`int` | `getDeploymentStatus()` This returns the deployment status of the component on the target.
`java.util.Set` | `getServersAvailabilityStatus()` Set of TargetAvailabilityStatus objects encapsulating the availability status of the underlying servers of the cluster/virtual host.
`java.lang.String` | `getTargetName()` This method returns the target name on which the component is deployed
`int` | `getTargetType()` Returns the type of the target for which the availability status is stored.

Field Detail

### DEPLOYMENT_STATUS_NOTAVAILABLE

    public static final int DEPLOYMENT_STATUS_NOTAVAILABLE

### DEPLOYMENT_STATUS_AVAILABLE

    public static final int DEPLOYMENT_STATUS_AVAILABLE

### DEPLOYMENT_STATUS_PARTIALLYAVAILABLE

    public static final int DEPLOYMENT_STATUS_PARTIALLYAVAILABLE

### AVAILABILITY_STATUS_NOTAVAILABLE

    public static final int AVAILABILITY_STATUS_NOTAVAILABLE

### AVAILABILITY_STATUS_AVAILABLE

    public static final int AVAILABILITY_STATUS_AVAILABLE

### AVAILABILITY_STATUS_DISTRIBUTED

    public static final int AVAILABILITY_STATUS_DISTRIBUTED

### AVAILABILITY_STATUS_NOTDISTRIBUTED

    public static final int AVAILABILITY_STATUS_NOTDISTRIBUTED

### TARGET_TYPE_SERVER

    public static final int TARGET_TYPE_SERVER

### TARGET_TYPE_CLUSTER

    public static final int TARGET_TYPE_CLUSTER

### TARGET_TYPE_VIRTUALHOST

    public static final int TARGET_TYPE_VIRTUALHOST

Method Detail

### getTargetName

    public java.lang.String getTargetName()

  This method returns the target name on which the component is deployed

  Returns:
    String

### getTargetType

    public int getTargetType()

  Returns the type of the target for which the availability status is stored. it could be TARGET_TYPE_SERVER, TARGET_TYPE_CLUSTER or TARGET_TYPE_VIRTUALHOST

  Returns:
    int

### getDeploymentStatus

    public int getDeploymentStatus()

  This returns the deployment status of the component on the target. It could be DEPLOYMENT_STATUS_NOTAVAILABLE, DEPLOYMENT_STATUS_AVAILABLE or DEPLOYMENT_STATUS_PARTIALLYAVAILABLE

  Returns:
    int

### getAvailabilityStatus

    public int getAvailabilityStatus()

  This returns the availability status of the component on the server. It could be AVAILABILITY_STATUS_NOTAVAILABLE, AVAILABILITY_STATUS_AVAILABLE, AVAILABILITY_STATUS_DISTRIBUTED, AVAILABILITY_STATUS_NOTDISTRIBUTED. This call is valid only if the targetType is TARGET_TYPE_SERVER. For other target types it throws a Assertion Exception. If a component is using staged deployment and is unavailable on a server, then its availability status could be AVAILABILITY_STATUS_DISTRIBUTED or AVAILABILITY_STATUS_NOTDISTRIBUTED depending upon whether the application's latest source is available on the target or not. For deployments that are not staged, the availability status is only AVAILABILITY_STATUS_NOTAVAILABLE if the component is unavailable on the target.

  Returns:
    int

### getServersAvailabilityStatus

    public java.util.Set getServersAvailabilityStatus()

  Set of TargetAvailabilityStatus objects encapsulating the availability status of the underlying servers of the cluster/virtual host. For server targetType, this method throws a assertion exception.

  Returns:
    Set

### getClustersAvailabilityStatus

    public java.util.Set getClustersAvailabilityStatus()

  Set of TargetAvailabilityStatus objects encapsulating the availability status of the underlying clusters of the virtual host. For server and cluster targetType, this method throws a assertion exception.

  Returns:
    Set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference